# Budget anlegen

`POST https://{tenant}.stamp.eu/rest/units/{unit}/roster_budgets`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `unit` | string | ja | The unit ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `period` | `weekly`, `monthly` | ja |
| `amount_cents` | integer | ja |
| `effective_from` | string | ja |
| `currency` | string | nein |

## Antworten

### 201: `RosterBudgetResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.unit_id` | string | ja |
| `data.period` | string | ja |
| `data.amount_cents` | string | ja |
| `data.amount` | string | ja |
| `data.currency` | string | ja |
| `data.effective_from` | string | ja |
| `data.created_by` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: Authorization error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
